/*********************
 * Fields
**********************/
.br-installment__form .br-form-field,
.br-installment__form select {
    background:var(--form-bg); color:var(--form-color);
    font-size:var(--form-font-size) !important; font-family:var(--form-font);

    width:100%; height:var(--form-field-height); display:block; text-align:left;
    padding:5px var(--form-field-padding-h) !important; margin:0 !important;
    -webkit-appearance:none !important; -webkit-border-radius:var(--form-radius) !important; border-radius:var(--form-radius) !important;
    border:var(--form-border-width) solid var(--form-border-color) !important;
    transition:var(--br-transition);
}


/*********************
 * Textarea
**********************/
.br-installment__form textarea.br-form-field {
    height:var(--form-field-size);
    padding:15px var(--form-field-padding-h);
    resize:vertical;
    transition:border-color .3s, background-color .3s, color .3s;
}


/*********************
 * Hover & focus
**********************/
.br-form-field:not([readonly]):hover,
.br-form-field:not([readonly]):focus {
    --form-placeholder-color:rgba(25, 32, 84, 0.5);
    --form-border-color:var(--form-border-color-hover);

    background:var(--form-bg-hover); color:var(--form-color-hover);
}


/*********************
 * A11y
**********************/
.br-form-field:not([readonly]):focus-visible {
    box-shadow:0 0 0 1px var(--form-border-color-hover); border-color:var(--form-border-color-hover);
    transition:none;
}


/*********************
 * Error
**********************/
.br-form-field[aria-invalid="true"], .br-form-field[aria-invalid="true"]:hover {
    --form-border-color:var(--form-color-error);

    box-shadow:0 0 0 1px var(--form-color-error);
}


/*********************
 * Readonly
**********************/
.br-form-field[readonly] {
    --form-bg:rgba(0, 0, 0, .03);
    --form-border-color:rgba(0, 0, 0, .03);
}


/*********************
 * File
**********************/
input.br-form-field[type="file"] {
    display:flex; align-items:center;
    padding-top:calc((var(--form-field-height) - 32px) * 0.5);
    cursor:pointer;
}

/* choose file button */
input.br-form-field[type="file" i]::-webkit-file-upload-button {
    background:#eee;
    padding:5px 8px; border-radius:3px; height:30px;
    border:none; cursor:pointer;
    transition:var(--br-transition);
    font-family:var(--br-font-primary);
}
input.br-form-field[type="file" i]::-webkit-file-upload-button:hover {
    background:var(--br-color-primary); color:var(--br-color-on-primary);
}


/*********************************************
 * Placeholder
**********************************************/
.br-form-field::-webkit-input-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.br-form-field::-moz-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.br-form-field:-ms-input-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.br-form-field:-moz-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}


/*********************************************
 * Label
**********************************************/
.br-form-field--label {
    display:block;
    color:var(--br-color-text);
    margin-bottom:var(--br-spacing-10);
}